Stop a card with one of the following allowed (integer) values for stopReasonID:
- Card stopped as it has been lost
- Card stopped as it has been stolen
- Card stopped pending outcome of query
- Card stopped to consolidate onto single card
- Card stopped as it is no longer active
- Card stopped as allowable PIN tries have been exceeded
- Suspected fraud
- Emergency card replacement
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| cardIdentifier | String | 1-20 characters | ✓ | Card number or Tracking number or Sequence number of the card |
| stopReasonID | Integer | ✓ | Stop Reason ID associated with the reason for stopping a card:; ; - Card stopped as it has been lost; ; - Card stopped as it has been stolen; ; - Card stopped pending outcome of query; ; - Card stopped to consolidate onto single card; ; - Card stopped as it is no longer active; ; - Card stopped as allowable PIN tries have been exceeded; ; - Suspected fraud; ; - Emergency card replacement | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>StopCard</methodName>
<params>
<param>
<value>
<string>ABC1234567</string>
</value>
</param>
<param>
<value>
<string>P12345</string>
</value>
</param>
<param>
<value>
<string>987654321</string>
</value>
</param>
<param>
<value>
<int>1</int>
</value>
</param>
<param>
<value>
<string>T987654321</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>2023-11-08T12:44:44</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>3b7c4444e1c4444d8e134a4c0c2c2d444e3d4444</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo |
| profileNumber | String | Echo |
| cardNumber | String | Number of the card found using the cardIdentifier |
| stopReasonID | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction ID generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating the transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>ABC1234567</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>P12345</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>987654321</string>
</value>
</member>
<member>
<name>stopReasonID</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>T987654321</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>ST123456789</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>200</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Card stopped successfully</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>